Cancel a specific invoice

Cancel an invoice, such as for 'Add Funds' or a domain renewal, if the related order has already been canceled. The endpoint returns an invoice_id for follow-up calls.

Billing & Payments Invoices

Context

Used in the dashboard

/billing

Workflow links

Produces

Path Parameters

id integer · min: 1 required Example: 46986

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.invoice_id string required · Example: 46986
data.message string required · Example: Add Funds invoice has been cancelled

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/billing/invoice/{id}/cancel
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/billing/invoice/46986/cancel" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "Add Funds invoice has been cancelled",
    "invoice_id": "46986"
  }
}